Apache JMeter

## org.apache.jmeter.gui.action
Class Close

    java.lang.Object
      org.apache.jmeter.gui.action.Close

All Implemented Interfaces:
  Command

    public class Close

extends Object
implements Command

This command clears the existing test plan, allowing the creation of a New test plan.

Constructor Summary
`Close()` Constructor for the Close object.

Method Summary
`void` `doAction(ActionEvent e)` This method performs the actual command processing.
`Set<String>` `getActionNames()` Gets the ActionNames attribute of the Close object.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Close

    public Close()

  Constructor for the Close object.

Method Detail

### getActionNames

    public Set<String> getActionNames()

  Gets the ActionNames attribute of the Close object.

  Specified by:
    `getActionNames` in interface `Command`
  Returns:
    the ActionNames value

### doAction

    public void doAction(ActionEvent e)

  This method performs the actual command processing.

  Specified by:
    `doAction` in interface `Command`
  Parameters:
    `e` - the generic UI action event

Apache JMeter

Copyright © 1998-2010 Apache Software Foundation. All Rights Reserved.